GET /api/v3/agencies/{lcuid}/lightning-devices¶
Summary¶
GET agencies/{id}/lightning-devices
Description¶
Return a list of lightning devices for an agency
See Lightning Device Response Fields for the lightning device object
Tags: agencies
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)lightning_devices(array)-
Array items:
objectType:objectProperties:
name(string)description(string)device_number(string)device_request_lcuid(string)device_provided_uuid(string)status(integer)options(object) Type:object
Properties:
-
_init(array) -
latitude(string) longitude(string)width(integer)height(integer)digital_board_format(string)venue_taxonomy_id(string)lcuid(string)network_type(string)vendor_id(string)cached_tags(string)
Example Response¶
{
"success": true,
"lightning_devices": [
{
"name": "My Cool Device 1",
"description": null,
"device_number": "LDN-47307",
"device_request_lcuid": "LCUID-LDR-90155321-cabd-4b80-b4e1-a341282238e9",
"device_provided_uuid": "y03PK4DK5MozjG4V",
"status": 0,
"options": {
"_init": []
},
"latitude": "0.00000000",
"longitude": "0.00000000",
"width": 1024,
"height": 768,
"digital_board_format": null,
"venue_taxonomy_id": null,
"lcuid": "LCUID-LD-4dd7e125-ad67-4482-9aec-f6858b4b8fd4",
"network_type": "venue_wifi",
"vendor_id": null,
"cached_tags": null
},
{
"name": "My Cool Device 2",
"description": null,
"device_number": "LDN-47336",
"device_request_lcuid": "LCUID-LDR-eda37064-0979-4937-91d9-03c03b9a83c6",
"device_provided_uuid": "I5ikgT9R9QMeG1nz",
"status": 0,
"options": {
"_init": []
},
"latitude": "0.00000000",
"longitude": "0.00000000",
"width": 1024,
"height": 768,
"digital_board_format": null,
"venue_taxonomy_id": null,
"lcuid": "LCUID-LD-2c7052ec-7dbd-4495-a84f-bc20d40e7a42",
"network_type": "venue_wifi",
"vendor_id": null,
"cached_tags": null
},
{
"name": "My Cool Device 3",
"description": null,
"device_number": "LDN-47346",
"device_request_lcuid": "LCUID-LDR-48c694cc-a53f-4194-8627-e22a5d742d51",
"device_provided_uuid": "jwTfIxkAxSFOxg2h",
"status": 0,
"options": {
"_init": []
},
"latitude": "0.00000000",
"longitude": "0.00000000",
"width": 1024,
"height": 768,
"digital_board_format": null,
"venue_taxonomy_id": null,
"lcuid": "LCUID-LD-f6ebbb1a-736b-47b5-915a-429ba38e9df9",
"network_type": "venue_wifi",
"vendor_id": null,
"cached_tags": null
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/lightning-devices" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/lightning-devices"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/lightning-devices',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/lightning-devices'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()